summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>2015-08-28 22:57:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-28 22:57:21 +0700
commited571ccfb0debac56549ac8c90becb50c04d4189 (patch)
tree89ebcb4d36bde4f297006c3cb9df95dba9bd1fc4
parent30aafd5c2fecd8ab90cc1d52d51d467cd107131c (diff)
downloadslackbuilds-ed571ccfb0debac56549ac8c90becb50c04d4189.tar.gz
slackbuilds-ed571ccfb0debac56549ac8c90becb50c04d4189.tar.xz
audio/xmms-ctl: Added (CLI Controller for XMMS).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/xmms-ctl/README2
-rw-r--r--audio/xmms-ctl/slack-desc19
-rw-r--r--audio/xmms-ctl/xmms-ctl.SlackBuild93
-rw-r--r--audio/xmms-ctl/xmms-ctl.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/audio/xmms-ctl/README b/audio/xmms-ctl/README
new file mode 100644
index 0000000000..61f97ccf4b
--- /dev/null
+++ b/audio/xmms-ctl/README
@@ -0,0 +1,2 @@
+A simple CLI program to control XMMS. Created for the Quake engine, NGUNIX, but can be used for any
+program or shell script really.
diff --git a/audio/xmms-ctl/slack-desc b/audio/xmms-ctl/slack-desc
new file mode 100644
index 0000000000..ee66506dd3
--- /dev/null
+++ b/audio/xmms-ctl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xmms-ctl: xmms-ctl (CLI Controller for XMMS)
+xmms-ctl:
+xmms-ctl: A simple CLI program to control XMMS. Created for the Quake engine,
+xmms-ctl: NGUNIX, but can be used for any program or shell script really.
+xmms-ctl:
+xmms-ctl: Homepage: https://github.com/eukos16/xmms-ctl
+xmms-ctl:
+xmms-ctl:
+xmms-ctl:
+xmms-ctl:
+xmms-ctl:
diff --git a/audio/xmms-ctl/xmms-ctl.SlackBuild b/audio/xmms-ctl/xmms-ctl.SlackBuild
new file mode 100644
index 0000000000..efd4cc75d3
--- /dev/null
+++ b/audio/xmms-ctl/xmms-ctl.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for xmms-ctl
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xmms-ctl
+VERSION=${VERSION:-4158c718bf68cd8653a0aee93afe65202e483ef9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip || unzip $CWD/$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+mkdir -p $PKG/usr/bin
+cp -a xmms-ctl $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+mv xmms-ctl.man xmms-ctl.1
+gzip -9 xmms-ctl.1
+mv xmms-ctl.1.gz $PKG/usr/man/man1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/xmms-ctl/xmms-ctl.info b/audio/xmms-ctl/xmms-ctl.info
new file mode 100644
index 0000000000..e9d940df8b
--- /dev/null
+++ b/audio/xmms-ctl/xmms-ctl.info
@@ -0,0 +1,10 @@
+PRGNAM="xmms-ctl"
+VERSION="4158c718bf68cd8653a0aee93afe65202e483ef9"
+HOMEPAGE="https://github.com/eukos16/xmms-ctl"
+DOWNLOAD="https://github.com/eukos16/xmms-ctl/archive/4158c718bf68cd8653a0aee93afe65202e483ef9.zip"
+MD5SUM="c5913176230021c3608cbf69e025454e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"